Agent

object

An agent.

idstring(uuid)read-only
namestring
descriptionstring
promptobject

An agent prompt.

Show Child Parameters
createdAtstring(date-time)
modifiedAtstring(date-time)
accountIdstring(uuid)
statusstring

Allowed values:ACTIVEINACTIVEDRAFT

autoApplyboolean
autoApplyUserIdstring(uuid)
agentsarray[string]

The capabilities of the agent.

Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT

agentPropertiesobject
* Additional properties are allowed.
createdBystring(uuid)
Example

AgentCreateRequest

object

The agent to create. capabilities defines what the agent can do and cannot be changed afterwards.

autoApplyboolean
namestringrequired

<= 50 characters

descriptionstringrequired

<= 130 characters

capabilitiesarray[string]required

Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT

>= 1 items

agentPropertiesobjectrequired
* Additional properties are allowed.
promptobject

The prompt to set on an agent when you create or edit it. Unlike the read-only Prompt in responses, id and version are optional here.

Show Child Parameters
statusstring

Allowed values:ACTIVEINACTIVEDRAFT

Example

AgentUpdateRequest

object

Request body for a partial update. All fields are optional. Capabilities cannot be changed after the agent is created.

autoApplyboolean
namestring

<= 50 characters

descriptionstring

<= 130 characters

statusstring

Allowed values:ACTIVEINACTIVEDRAFT

promptobject

The prompt to set on an agent when you create or edit it. Unlike the read-only Prompt in responses, id and version are optional here.

Show Child Parameters
agentPropertiesobject
* Additional properties are allowed.
Example

CursorPaginatedAgents

object

A page of agents. metadata.nextPage and metadata.prevPage are query strings to add to the same request URL, or null when there is no such page.

itemsarray[object]

An agent.

Show Child Parameters
metadataobject
Show Child Parameters
Example

ExecutionFilterOptions

object
filterNamestringrequired

Allowed values:agentranBy

valuesarray[object]required
Show Child Parameters
Example